Skip to main content
POST
/
contact
cURL
curl --request POST \
  --url https://api.slash.com/contact \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "recipientType": "contact",
  "recipientLegalName": "<string>",
  "recipientEmail": "<string>",
  "address": {
    "addressLine": "<string>",
    "addressCity": "<string>",
    "addressState": "<string>",
    "addressZip": "<string>",
    "addressLine2": "<string>",
    "addressCountry": "<string>"
  }
}
'
{
  "contact": {
    "id": "<string>",
    "name": "<string>",
    "recipientType": "contact",
    "recipientLegalName": "<string>",
    "recipientEmail": "<string>",
    "address": {},
    "data": {}
  }
}

Authorizations

X-API-Key
string
header
required

Authentication from public API requests

Query Parameters

The legal entity ID. Required if authenticating with access to multiple legal entities.

Body

application/json
name
string
required

Display name of the contact.

recipientType
enum<string>
required

The relationship type of the contact.

Available options:
contact,
vendor

Legal name of the recipient.

recipientEmail
string

Email address of the recipient.

address
IAddressModel · object

Response

OK

contact
Contact · object
required

A contact represents a counterparty (customer, vendor, etc.) associated with a legal entity.